Subject: Re: MPLS over L2

From: Luca Martini <[email-masked]>
Date: Fri, 27 Oct 2000 17:20:15 +0000

Robbie Harrell wrote:
> 
> Luca, I was reading the Internet draft "Transport of Layer 2 frames over
> MPLS" and had the following questions.  Using the example given with R1 an
> R2, does the ingress L2 protocol and the egress L2 protocol have to be the
> same.  For instance can I bring in a L2 ATM cell over ATM at R1, transport
> over my MPLS tunnel and deliver over an Ethernet egress interface at R2.

Yes, they have to be the same. THere is a statement made about not doing
internetworking in this implementation.

> This doesn't seem possible to me unless the router reads the L3 information
> and makes a routing decision on the L3 information irregardless of the L2
> encapsulation.  I am working on a project to build a next generation NAP and
> this would be an ideal scenario for one to many peering connections with
> multiple ingress encapsulations.  We are trying to eliminate the
> intermediate routers found in the NAP so that peers are from ISP router to
> ISP router (like R1 and R2 in the document).  My major concern is whether or
> not this works for a provider who connects on the ingress with say an ATM
> pipe and wants to peer with other providers who may have Frame-Relay,
> Ethernet, or ATM.  There would be multiple peering sessions over MPLS
> tunnels.   It would have to come into the MPLS cloud under one L2
> encapsulation and leave under another.  I am assuming the router would have
> to be involved to assume protocol translations at the egress edge.  Any
> thoughts, hints or clarifications.
> 

It could be possible to actually do the internetworking function in the
end router device.
In this case the traffic would transit the network in native mode. If it
came in ATM AAL5, 
the PDUs would be transported unchanged to the egress router , where
they would be converted to a different protocol. This could be a vendor
specific feature, and does not have to be done "in the network".
In this case the end router doing the conversion has all the information
it could possibly need to do internetworking successfully.

Luca Martini

> Robbie Harrell
> Senior Consultant
> Callisma
> 866-543-5737 pager
> [email-masked]

-- 
Just say no to summer. Ski all year !
Luca Martini Senior Network Architect, Level 3 Communications -
Broomfield, CO
[email-masked] | VE2WKR/W0 | Phone 720-888-1225 | pager
[email-masked]

---

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Fri, 27 Oct 2000 13:56:41 -0400

Maybe another approach to support this particular case is to use a 
generic layer 2 encapsulation over MPLS (sort of "GRE" principles
for layer-2 over MPLS - something like "GLE": generic
layer 2 ensapsulartion over MPLS-). Therefore the end router will
translate from one layer-2 to the other (no need for
interworking). In reality the translation can happen
anywhere in the network.

Assume you have a FR layer-2 carried over MPLS, and
you want the egress point to be ATM. Then you can negotiate up front
how you want to do this translation (between the source and exit point).
as if you have a frame relay over atm interworking interfaces
(of course in this case you don't need anymore 
interworking interfaces). 

Hamid

---

From: Pankaj K Jha <[email-masked]>
Date: Sat, 28 Oct 2000 07:00:28 -0700

We are finalizing a draft that does just this (and more) - provides a way, for
instance, for ATM to be sent over non-ATM MPLS links (e.g. with frame relay)
and reach a destination node without intermediate translations. This would be
true for any layer 2 packet transport over any other layer 2 n/w using MPLS,
providing a multiservice transport with end-to-end native packets.
Multiservice also allows multiple types of native packets from one or more
nodes to share a single LSP (for common bandwidth sharing) and in general
transport of different types of native packets over a single link, over same
or different LSPs.

-Pankaj

---

From: "Robbie Harrell" <[email-masked]>
Date: Mon, 30 Oct 2000 09:56:51 -0500

SO I can infer from your answer that a router is necessary to do the
translation between protocols.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, October 27, 2000 1:20 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: MPLS over L2

Luca Martini